{
  flake.modules.homeManager.weckyy702-git = {
    programs.git = {
      enable = true;
      settings = {
        user = {
          email = "konstantin@veltko.de";
          name = "Weckyy702";
        };
        init.defaultBranch = "main";
      };
      signing = {
        # NOTE: The signing key needs to be set per machine, see hosts/<name>/users/weckyy702/git.nix
        format = "ssh";
        signByDefault = true;
      };
    };
  };
}
